package de.ivu.elect.business.ergebnis.entity;

public class Gebietsstimmen {

  long waehler = 0;

  long wahlberechtigte = 0;

  long gueltigeDirektstimmen = 0;

  long gueltigeListenstimmen = 0;

  long ungueltigeDirektstimmen = 0;

  long ungueltigeListenstimmen = 0;

  long uebrigeDirektstimmen = 0;

  long uebrigeListenstimmen = 0;

  long direktstimmen = 0;

  long listenstimmen = 0;

  public long getWaehler() {
    return waehler;
  }

  public long getWahlberechtigte() {
    return wahlberechtigte;
  }

  public long getGueltigeDirektstimmen() {
    return gueltigeDirektstimmen;
  }

  public long getGueltigeListenstimmen() {
    return gueltigeListenstimmen;
  }

  public long getUngueltigeDirektstimmen() {
    return ungueltigeDirektstimmen;
  }

  public long getUngueltigeListenstimmen() {
    return ungueltigeListenstimmen;
  }

  public long getDirektstimmen() {
    return direktstimmen;
  }

  public long getListenstimmen() {
    return listenstimmen;
  }

  public long getUebrigeDirektstimmen() {
    return uebrigeDirektstimmen;
  }

  public long getUebrigeListenstimmen() {
    return uebrigeListenstimmen;
  }

  public void addiereDirektstimmen(Long anzahl) {
    if (anzahl != null) {
      direktstimmen += anzahl;
    }
  }

  public void addiereListenstimmen(Long anzahl) {

    if (anzahl != null) {
      listenstimmen += anzahl;
    }

  }

  public void addiereGueltigeListenstimmen(Long anzahl) {
    if (anzahl != null) {
      gueltigeListenstimmen += anzahl;
    }
  }

  public void addiereGueltigeDirektstimmen(Long anzahl) {
    if (anzahl != null) {
      gueltigeDirektstimmen += anzahl;
    }
  }

  public void addiereUngueltigeListenstimmen(Long anzahl) {
    if (anzahl != null) {
      ungueltigeListenstimmen += anzahl;
    }
  }

  public void addiereUngueltigeDirektstimmen(Long anzahl) {
    if (anzahl != null) {
      ungueltigeDirektstimmen += anzahl;
    }
  }

  public void addiereWaehler(Long anzahl) {
    if (anzahl != null) {
      waehler += anzahl;
    }

  }

  public void addiereWahlberechtigte(Long anzahl) {
    if (anzahl != null) {
      wahlberechtigte += anzahl;
    }

  }

  public void addiereUebrigeListenstimmen(Long anzahl) {
    if (anzahl != null) {
      uebrigeListenstimmen += anzahl;
    }
  }

  public void addiereUebrigeDirektstimmen(Long anzahl) {
    if (anzahl != null) {
      uebrigeDirektstimmen += anzahl;
    }
  }
}
